* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    
}

html, body, main {
    font-family: 'Montserrat' , sans-serif;
    width: 100%;
    height: 100%;
    font-size: 62.5%;
    // This defines what 1rem is
    font-size: 62.5%; //1 rem = 10px; 10px/16px = 62.5%

    @include respond(tab-land) { // width < 1200? 
        font-size: 56.25%; //1 rem = 9px, 9/16 = 50%
    }

    @include respond(tab-port) { // width < 900?
        font-size: 50%; //1 rem = 8px, 8/16 = 50%
    }
    @include respond(phone) { // width < 600?
        font-size: 45%; //1 rem = 8px, 8/16 = 50%
    }

    
    @include respond(big-desktop) {
        font-size: 75%; //1rem = 12, 12/16
    }
    
    
    // font-size: $default-font-size;
    
}



.background {
    background-color: var(--color-mode);
}

.bg-cover{
    position: relative;
    overflow: hidden;
    height: auto;
    
    &:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-size: contain;
        background-image: url(/img/Video.svg);
        background-repeat: no-repeat;
        z-index: -1;
        

    }
 }
// background

.main-top-bg {
    background-image: url(/img/bg-1.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position-y: 35%;
}
.main-middle-bg {
    background-image:url(/img/bg-2.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position-y: 19%;
}
.main-bottom-bg {
    background-image: url(/img/bg-3.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position-y: 108%;

    @include respond (tab-port) {
        background-size: initial;
        background-position-y: 102%;
        background-position-x: 29%;
    }
    
}

.dark-mode {
    .main-top-bg {
        background-image: url(/img/bg-1dark.svg);
    }
    .main-middle-bg {
        background-image: url(/img/bg-2dark.svg);
    }
    .main-bottom-bg {
        background-image: url(/img/bg-3dark.svg);
    }
    
}

.container {
    height: auto;
    max-width: 121.5rem;
    margin: 0 auto;

    @include respond (tab-land) {
        padding-left: 2rem;
        padding-right: 2rem;
    }
}


.flex {
    display: flex;
}



a {
    text-decoration: none;
    font-size: $default-font-size;
}

li {
    list-style: none;
}

// @media screen and (max-width:500px) {
//     .background {
//         // width: 100%;
//         // background-size: 100%;
//     }
// }